#!/usr/bin/env python

import os
import sys
import sre

"""
-i interactive

-f not interactive (default, and overwrites -i)

-s pattern replacement

asdf[0-9]{3,4}.pdf -> asdf

-r recurse through children

-d simple

/2004/03/24/pic1.jpg -> /2004-03-24_pic1.jpg

directory selection

"""
def rename_each(args,dir_name,objects):
  
  from_re,to_re = args
  
  for obj in objects:
    new_obj = sre.sub(from_re,to_re,obj)
    if obj != new_obj:
      os.system("mv -v %s %s"%(obj,new_obj))
    
def main(from_re,to_re):
  os.path.walk(".",rename_each,(from_re,to_re))

if __name__=="__main__":
  if len(sys.argv)==3:
    main(sys.argv[1], sys.argv[2])
  else:
    sys.stderr.write("%s: ERROR: Two commandline arguments expected, %d received.\n"%(sys.argv[0],len(sys.argv)-1))
